language: node_js
cache:
  directories:
    - node_modules
node_js:
  - "6"
env:
  - NODE_ENV=test
deploy:
  provider: s3
  access_key_id:
    secure: ikcDIfAi77ZCBOcQnWZg6tMgNmet3UgRUslDqba4lrXh8GbQ3PqOAxp6Bm6xgWj/F5s1n9Ny9z9Wdjih5/EKRcAadeQ/YMf5WLv/VJdksT8eZDqhTD/CeC01ZnWbe6TLwXLhDlDZF9RXTASR+N94Q4tEsWgn4qrz7c721wlPfbD9k90EYkQSAp13g0PEtG2YykzEwM/PqAWHMK34mj2Gf7258qOsqXWkPSF7fEnizi9FMr0cMV/4ASWP9ZA+LvaF2sLx1OoDdEjAabYB9ts6FlPDaL5Ykv8z2W8g7JJG+T+K1zYa/ZAu2mSrQj7Oty7IbilnhjZx2k8yIgTwsjPG+2yaSEFdZZQFy2n5QDPR10LXe4F0LrR/i/Hg7NO9MGkMhZtuZF/RUSLM1a8Bpv42nVWYZzqN75FjiQldPFHc3RI9GErxNVN74+CPXHV0gjnLyt5nsmNQL9ZIdvGQXMtJbhcO3mNiciUpWKxdsU3K4TJVz2ntn/q4izVfibDzLaYVDtyWW+Ess3gFGzSJsGvTFPz8dNVxDMgIfrSL/ZXI3sztKWKgkJ70eRydHth6t4GudaKpflW5WssOFM9oEa0PFUj8LmEuu4/cNPWJmbJ6AxdRRWoPYZILj1dsJgIv92Nz83KT6SF8iiA/0LQk7mrU/xEy6vbSg54qIJlOnKRk2Yc=
  secret_access_key:
    secure: dZ1FVbxN4QHcWh/KlxYGMaunf6J+trlwB4YofaqtZiY/XecxNBoaoY0j9PF8A15Fv0lhOjgsP+ShstEwEvl1w6ncFO5Hwn033svs/X3WKnSwQU24glABcar5aVOZl5+5jc7oMK9SthmUuojajg4+F9rWNpNPWn2Lo93GMPTgaiRHwdRsdNnEnSMRjBbeKH9lqMhLfTCPdO/EZLrtE3EokiBKjS/oK4ZtaLBHeCqPz6NYYpkFKbNL1873lDBsHSgVS7EoCV8MP0q4P2CtiVEyCx02XIGsocdofT/egTCM0T/bbMIECv9RnwzDvfjJKT7xsYQaoLkdjE0vdas9wJPC7MouQ07CPQHpGAkd+NQSfGaZCx5xbCqG4cMINf8cGKENLts13YC9bSh7emrqEs8BwG0AV9aTqX6AqIAdVqXj0lMqwwSWCUa1uUbFzvWBbEAxOmsK3xqqhEIgrujUPQp4GgOhCEPU22RbNDcQyhpp6aI7mc5YWUv1EpBQM15MRrknLmy5ps1t8F92YvEHdLbyWB0NkFlPc4LR3j4yVatHTBhMQhNImPqpLY3sS0iQNwzaR2A6I1v/HO3pEZDTCXP2okkDisTSDQc9SQSx943DddTlqAv8BKYEPZGFrgm1Durq7+zJbQa1GrRSk0VZEc7lY20v2W/w9QeiRbQiPREx9OQ=
  bucket: mapbox-gl-js
  local_dir: dist
  upload-dir: plugins/mapbox-gl-draw/$TRAVIS_TAG
  skip_cleanup: true
  acl: public_read
  on:
    tags: true
